## org.apache.fop.fo
Class PropertyList

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--org.apache.fop.fo.PropertyList

public class PropertyList
extends java.util.Hashtable

See Also:
  Serialized Form

Field Summary
`static int` `AFTER`
`static int` `BEFORE`
`static int` `BLOCKPROGDIM`
`static int` `BOTTOM`
`static int` `END`
`static int` `HEIGHT`
`static int` `INLINEPROGDIM`
`static int` `LEFT`
`static int` `RIGHT`
`static int` `START`
`static int` `TOP`
`static int` `WIDTH`

Constructor Summary
`PropertyList(PropertyList parentPropertyList, java.lang.String space, java.lang.String el)`

Method Summary
`Property` `get(java.lang.String propertyName)` Return the property on the current FlowObject.
`java.lang.String` `getElement()`
`Property` `getExplicit(java.lang.String propertyName)` Return the value explicitly specified on this FO.
`FObj` `getFObj()`
`Property` `getFromParent(java.lang.String propertyName)` Return the value of this property on the parent of this FO.
`Property` `getInherited(java.lang.String propertyName)` Return the value of this property inherited by this FO.
`java.lang.String` `getNameSpace()`
`Property` `getNearestSpecified(java.lang.String propertyName)` Return the "nearest" specified value for the given property.
`FObj` `getParentFObj()`
`void` `setBuilder(PropertyListBuilder builder)`
`void` `setFObj(FObj fobj)`
`void` `setWritingMode(int writingMode)` Set the writing mode traits for the FO with this property list.
`java.lang.String` `wmAbsToRel(int absdir)` Given an absolute direction (top, bottom, left, right), return the corresponding writing model relative direction name for the flow object.
`java.lang.String` `wmRelToAbs(int reldir)` Given a writing mode relative direction (start, end, before, after) return the corresponding absolute direction name for the flow object.

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LEFT

    public static final int LEFT

### RIGHT

    public static final int RIGHT

### TOP

    public static final int TOP

### BOTTOM

    public static final int BOTTOM

### HEIGHT

    public static final int HEIGHT

### WIDTH

    public static final int WIDTH

### START

    public static final int START

### END

    public static final int END

### BEFORE

    public static final int BEFORE

### AFTER

    public static final int AFTER

### BLOCKPROGDIM

    public static final int BLOCKPROGDIM

### INLINEPROGDIM

    public static final int INLINEPROGDIM

Constructor Detail

### PropertyList

    public PropertyList(PropertyList parentPropertyList,
                        java.lang.String space,
                        java.lang.String el)

Method Detail

### setFObj

    public void setFObj(FObj fobj)

### getFObj

    public FObj getFObj()

### getParentFObj

    public FObj getParentFObj()

### getExplicit

    public Property getExplicit(java.lang.String propertyName)

  Return the value explicitly specified on this FO.
  Parameters:
    `propertyName` - The name of the property whose value is desired.
  Returns:
    The value if the property is explicitly set, otherwise null.

### getInherited

    public Property getInherited(java.lang.String propertyName)

  Return the value of this property inherited by this FO. Implements the inherited-property-value function. The property must be inheritable!
  Parameters:
    `propertyName` - The name of the property whose value is desired.
  Returns:
    The inherited value, otherwise null.

### get

    public Property get(java.lang.String propertyName)

  Return the property on the current FlowObject. If it isn't set explicitly, this will try to compute it based on other properties, or if it is inheritable, to return the inherited value. If all else fails, it returns the default value.

### setBuilder

    public void setBuilder(PropertyListBuilder builder)

### getNameSpace

    public java.lang.String getNameSpace()

### getElement

    public java.lang.String getElement()

### getNearestSpecified

    public Property getNearestSpecified(java.lang.String propertyName)

  Return the "nearest" specified value for the given property. Implements the from-nearest-specified-value function.
  Parameters:
    `propertyName` - The name of the property whose value is desired.
  Returns:
    The computed value if the property is explicitly set on some ancestor of the current FO, else the initial value.

### getFromParent

    public Property getFromParent(java.lang.String propertyName)

  Return the value of this property on the parent of this FO. Implements the from-parent function.
  Parameters:
    `propertyName` - The name of the property whose value is desired.
  Returns:
    The computed value on the parent or the initial value if this FO is the root or is in a different namespace from its parent.

### wmAbsToRel

    public java.lang.String wmAbsToRel(int absdir)

  Given an absolute direction (top, bottom, left, right), return the corresponding writing model relative direction name for the flow object. Uses the stored writingMode.

### wmRelToAbs

    public java.lang.String wmRelToAbs(int reldir)

  Given a writing mode relative direction (start, end, before, after) return the corresponding absolute direction name for the flow object. Uses the stored writingMode.

### setWritingMode

    public void setWritingMode(int writingMode)

  Set the writing mode traits for the FO with this property list.

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.